## org.eclipse.amp.amf.parameters.ui.contentassist.antlr
Class AParParser

    java.lang.Object
      org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
          org.eclipse.amp.amf.parameters.ui.contentassist.antlr.AParParser

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser

    public class AParParser

extends org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser

Constructor Summary
`AParParser()`

Method Summary
`protected InternalAParParser` `createParser()`
`protected java.util.Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement>` `getFollowElements(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)`
`AParGrammarAccess` `getGrammarAccess()`
`protected java.lang.String[]` `getInitialHiddenTokens()`
`protected java.lang.String` `getRuleName(org.eclipse.xtext.AbstractElement element)`
`void` `setGrammarAccess(AParGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
`createLexer, getFollowElements, getFollowElements, getUnorderedGroupHelper, setUnorderedGroupHelper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParParser

    public AParParser()

Method Detail

### createParser

    protected InternalAParParser createParser()

  Specified by:
    `createParser` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getRuleName

    protected java.lang.String getRuleName(org.eclipse.xtext.AbstractElement element)

  Specified by:
    `getRuleName` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getFollowElements

    protected java.util.Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement> getFollowElements(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)

  Specified by:
    `getFollowElements` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getInitialHiddenTokens

    protected java.lang.String[] getInitialHiddenTokens()

  Specified by:
    `getInitialHiddenTokens` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getGrammarAccess

    public AParGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(AParGrammarAccess grammarAccess)